Subject: Re: Multiple remote.<...>.fetch and .push patterns

From: Michael J Gruber <[email-masked]>
Date: Tue, 01 Jul 2008 11:59:43 +0200

Junio C Hamano venit, vidit, dixit 01.07.2008 11:27:
> Michael J Gruber <[email-masked]> writes:
> 
>> The files under remotes are the old way of configuring remotes (see
>> git help push). The new are config lines in the remotes section, as
>> written by "git remote". I don't think "git remote" can write the
>> lines you want, so I'd suggest:
>>
>> git config remote.ko.url kernel.org:/pub/scm/git/git.git
>> git config remote.ko.fetch refs/heads/master:refs/tags/ko-master
>> git config --add remote.ko.fetch refs/heads/next:refs/tags/ko-next
>> git config --add remote.ko.fetch refs/heads/maint:refs/tags/ko-maint
> 
> I'd actually suggest:
> 
> 	$ edit .git/config

Sure, it just seemed OP wanted cut-n-paste commands for his co-workers 
(or ko-workers).

> and create this section:
> 
>         [remote "ko"]
>                 url = master.kernel.org:/pub/scm/git/git.git/
>                 fetch = +refs/heads/*:refs/remotes/ko/*

I think that's what OP wanted to avoid.

>                 push = heads/master
>                 push = heads/next
>                 push = +heads/pu
>                 push = heads/maint
> 
> (I used to say ko-master but these days I say ko/master).

OK, that would make it ko/workers above ;)

Seriously: I found the info about those config keys in "git-push.1"; 
it's also in "git-{pull,fetch}.1". I would expect that info to be in 
"git-{remote,config}.1". The latter points to it, the former not really.

Michael